Package org.jboss.logmanager.config

## Interface HandlerConfiguration

All Superinterfaces:
  `HandlerContainingConfigurable`, `NamedConfigurable`, `ObjectConfigurable<java.util.logging.Handler>`, `PropertyConfigurable`

    public interface HandlerConfiguration
    extends HandlerContainingConfigurable, NamedConfigurable, PropertyConfigurable, ObjectConfigurable<java.util.logging.Handler>

Configuration for a single handler.

Author:
  David M. Lloyd

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getEncoding()`
`ValueExpression<java.lang.String>` `getEncodingValueExpression()` Returns the encoding which may be an expression.
`java.lang.String` `getErrorManagerName()`
`ValueExpression<java.lang.String>` `getErrorManagerNameValueExpression()` Returns the error manager name which may be an expression.
`java.lang.String` `getFilter()`
`ValueExpression<java.lang.String>` `getFilterValueExpression()` Returns a filter that may be an expression.
`java.lang.String` `getFormatterName()` Get the name of the configured formatter for this handler.
`ValueExpression<java.lang.String>` `getFormatterNameValueExpression()` Gets the formatter name which may be an expression.
`java.lang.String` `getLevel()` Gets the level set on the handler.
`ValueExpression<java.lang.String>` `getLevelValueExpression()` Returns the level that may be an expression.
`void` `setEncoding​(java.lang.String name)`
`void` `setEncoding​(java.lang.String expression, java.lang.String value)` Sets the expression value for the encoding.
`void` `setErrorManagerName​(java.lang.String name)`
`void` `setErrorManagerName​(java.lang.String expression, java.lang.String value)` Sets the expression value for the error manager name.
`void` `setFilter​(java.lang.String name)`
`void` `setFilter​(java.lang.String expression, java.lang.String value)` Sets the expression value and for the filter.
`void` `setFormatterName​(java.lang.String name)` Set the name of the configured formatter for this handler.
`void` `setFormatterName​(java.lang.String expression, java.lang.String value)` Sets the expression value for the formatter name.
`void` `setLevel​(java.lang.String level)` Sets the level on the handler.
`void` `setLevel​(java.lang.String expression, java.lang.String level)` Sets the expression value for the level.

### Methods inherited from interface org.jboss.logmanager.config.HandlerContainingConfigurable

`addHandlerName, getHandlerNames, removeHandlerName, setHandlerNames, setHandlerNames`

### Methods inherited from interface org.jboss.logmanager.config.NamedConfigurable

`getName`

### Methods inherited from interface org.jboss.logmanager.config.ObjectConfigurable

`getClassName, getInstance, getModuleName`

### Methods inherited from interface org.jboss.logmanager.config.PropertyConfigurable

`addPostConfigurationMethod, getConstructorProperties, getPostConfigurationMethods, getPropertyNames, getPropertyValueExpression, getPropertyValueString, hasConstructorProperty, hasProperty, removePostConfigurationMethod, removeProperty, setPostConfigurationMethods, setPostConfigurationMethods, setPropertyValueExpression, setPropertyValueExpression, setPropertyValueString`

### Method Detail

#### getFormatterName

    java.lang.String getFormatterName()

Get the name of the configured formatter for this handler.

Returns:
  the formatter name

#### getFormatterNameValueExpression

    ValueExpression<java.lang.String> getFormatterNameValueExpression()

Gets the formatter name which may be an expression.

Returns:
  the formatter name

#### setFormatterName

    void setFormatterName​(java.lang.String name)

Set the name of the configured formatter for this handler.

Parameters:
  `name` - the formatter name

#### setFormatterName

    void setFormatterName​(java.lang.String expression,
                          java.lang.String value)

Sets the expression value for the formatter name.

This method will not parse the expression for the value and instead use the `level` parameter for the formatter name on the handler.

Parameters:
  `expression` - the expression used to resolve the level
  `value` - the value to set the formatter name to
See Also:
  `setFormatterName(String)`, `ValueExpression`

#### getLevel

    java.lang.String getLevel()

Gets the level set on the handler.

Returns:
  the level

#### getLevelValueExpression

    ValueExpression<java.lang.String> getLevelValueExpression()

Returns the level that may be an expression.

Returns:
  the level

#### setLevel

    void setLevel​(java.lang.String level)

Sets the level on the handler.

Parameters:
  `level` - the level to set, may be an expression
See Also:
  `ValueExpression`

#### setLevel

    void setLevel​(java.lang.String expression,
                  java.lang.String level)

Sets the expression value for the level.

This method will not parse the expression for the value and instead use the `level` parameter for the level on the handler.

Parameters:
  `expression` - the expression used to resolve the level
  `level` - the level to use
See Also:
  `setLevel(String)`, `ValueExpression`

#### getFilter

    java.lang.String getFilter()

#### getFilterValueExpression

    ValueExpression<java.lang.String> getFilterValueExpression()

Returns a filter that may be an expression.

Returns:
  the filter

#### setFilter

    void setFilter​(java.lang.String name)

#### setFilter

    void setFilter​(java.lang.String expression,
                   java.lang.String value)

Sets the expression value and for the filter.

This method will not parse the expression for the value and instead use the `value` parameter for the filter on the handler.

Parameters:
  `expression` - the expression
  `value` - the value to set the filter to

#### getEncoding

    java.lang.String getEncoding()

#### getEncodingValueExpression

    ValueExpression<java.lang.String> getEncodingValueExpression()

Returns the encoding which may be an expression.

Returns:
  the encoding

#### setEncoding

    void setEncoding​(java.lang.String name)

#### setEncoding

    void setEncoding​(java.lang.String expression,
                     java.lang.String value)

Sets the expression value for the encoding.

This method will not parse the expression for the value and instead use the `value` parameter for the encoding on the handler.

Parameters:
  `expression` - the expression
  `value` - the value to set the encoding to
See Also:
  `setEncoding(String)`, `ValueExpression`

#### getErrorManagerName

    java.lang.String getErrorManagerName()

#### getErrorManagerNameValueExpression

    ValueExpression<java.lang.String> getErrorManagerNameValueExpression()

Returns the error manager name which may be an expression.

Returns:
  the error manager name

#### setErrorManagerName

    void setErrorManagerName​(java.lang.String name)

#### setErrorManagerName

    void setErrorManagerName​(java.lang.String expression,
                             java.lang.String value)

Sets the expression value for the error manager name.

This method will not parse the expression for the value and instead use the `value` parameter for the error manager name on the handler.

Parameters:
  `expression` - the expression
  `value` - the value to set the error manager name to
See Also:
  `setErrorManagerName(String)`, `ValueExpression`